summaryrefslogtreecommitdiffstats
path: root/development/uncrustify/uncrustify.SlackBuild
diff options
context:
space:
mode:
author Aleksandar Samardzic <asamardzic@gmail.com>2010-05-11 22:22:50 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:22:50 +0200
commit5b4180c8aa34e8b4ea271426718cb574091b9df5 (patch)
treeeca9772d4e06cf52d9124fc184e4f81ad223e860 /development/uncrustify/uncrustify.SlackBuild
parent4f83611e2a5bdc40899173681dfe2eb247190185 (diff)
downloadslackbuilds-5b4180c8aa34e8b4ea271426718cb574091b9df5.tar.gz
slackbuilds-5b4180c8aa34e8b4ea271426718cb574091b9df5.tar.xz
development/uncrustify: Updated for version 0.50
Diffstat (limited to 'development/uncrustify/uncrustify.SlackBuild')
-rw-r--r--development/uncrustify/uncrustify.SlackBuild18
1 files changed, 12 insertions, 6 deletions
diff --git a/development/uncrustify/uncrustify.SlackBuild b/development/uncrustify/uncrustify.SlackBuild
index e9d11e8713..fa705584f5 100644
--- a/development/uncrustify/uncrustify.SlackBuild
+++ b/development/uncrustify/uncrustify.SlackBuild
@@ -2,10 +2,10 @@
# Slackware build script for uncrustify
-# Written by Aleksandar B. Samardzic <asamardzic@matf.bg.ac.yu>
+# Written by Aleksandar Samardzic <asamardzic@gmail.com>
PRGNAM=uncrustify
-VERSION=0.43
+VERSION=${VERSION:-0.50}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -19,6 +19,8 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
set -e
@@ -42,14 +44,18 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
- --mandir=/usr/man
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find $PKG | xargs file | grep -e "executable" -e "shared object"| grep ELF | \
+ cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION